CORETEMP(4)

NAME
coretemp - Intel Core on-die digital thermal sensor

SYNOPSIS
coretemp* at cpu?

DESCRIPTION
The coretemp driver provides support for the on-die digital thermal sensor present on Intel Core and newer CPUs.

The temperatures can be observed by using the envsys(4) API or the envstat(8) command. Temperatures are reported for each core separately.

EVENTS
The coretemp driver is able to send a critical event to the powerd(8) daemon. The script /etc/powerd/scripts/sensor_temperature will be executed by the daemon (if running) when the limit has been reached.

SEE ALSO
envsys(4), envstat(8), powerd(8) Michael Berktold, Tian Tian (Intel Corporation), CPU Monitoring With DTS/PECI, White Paper, September 2010, http://edc.intel.com/Download.aspx?id=2612.

HISTORY
The coretemp driver first appeared in FreeBSD 7.0. It was later ported to NetBSD 5.0.

AUTHORS
-nosplit The coretemp driver was written by Rui Paulo <rpaulo@FreeBSD.org> as part of a Google Summer of Code project. It was adapted to NetBSD by Juan Romero Pardines.